Subject: RE: 23.0.94; Remove colon after option etc. name

From: "Drew Adams" <[email-masked]>
Date: Mon, 11 Jul 2011 10:19:23 -0700

> If these functions pick up the symbol as intended, I don't 
> see what the problem is.

Right, you do not see.

> > The buffer syntax should be that of Emacs Lisp.
> 
> It's not an Emacs Lisp buffer.  It's a text buffer that may have some
> Emacs Lisp symbols in it.

True.  If you can make all of the Lisp symbols in the buffer have Lisp syntax,
without making the rest of the buffer have Lisp syntax, then fine.

> > Arbitrary functions that pick up (Lisp) symbol names should and will
> > then pick up a `:' as part of a symbol name.
> 
> The arbitrary functions should use `symbol-at-point' or the like.

Then they aren't arbitrary.  Why argue about that?

A function that picks up a Lisp symbol name will & should pick up `:' as part of
that name, provided the buffer syntax is `emacs-lisp-mode-syntax-table'.

And yes, that's true also of `symbol-at-point', BTW.  In an Emacs-Lisp mode
buffer, type `foo:bar', put the cursor on the `:', and do `M-:
(symbol-at-point)'.  The value is `foo:bar'.
 
> > Because of this, we should remove this colon, which is anyway
> > unnecessary.
> 
> It looks nice.  I'm closing this bug report.

It hampers usability.  And it adds nothing to readability in that position.  It
is followed by a menu button or an editable field (gray background).